routes/web.php
<?php
use Chartisan\PHP\Chartisan;
use App\Charts\TransaksiChart;
use Charts as ch;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    $totalProduk = count(App\Models\Produk::all());
    $totalCustomer = count(App\Models\Customer::all());
    $totalTransaksi = count(App\Models\Transaksi::all());
    $transaksi = App\Models\Transaksi::orderBy('created_at', 'desc')->get()
    ->groupBy(function($date) {
        return \Carbon\Carbon::parse($date->created_at)->format('M/y'); // grouping by years
        // return \Carbon\Carbon::parse($date->created_at)->format('m'); // grouping by months
    })->take(12);
// return $transaksi;
    $transaksiVal = array();
    $transaksiRange = array();

    foreach ($transaksi as $key => $value) {
        array_push($transaksiVal, $value->count());
        array_push($transaksiRange, $key);
    }

    $produkLabel = array();
    $produkData = array();

    $favList = DB::select('select nama, sum(rincian_transaksi.qty) as jumlah from rincian_transaksi right join produk on produk.id = rincian_transaksi.produk_id  where produk.deleted_at is null group by produk.nama order by produk.id asc');
// return $favList;

    foreach ($favList as $value) {
        array_push($produkLabel, $value->nama);
        array_push($produkData, $value->jumlah);
    }

    // return $produkData;
    return view('dashboard', ['totalProduk' => $totalProduk, 'totalCustomer' => $totalCustomer, 'totalTransaksi' => $totalTransaksi, 'transaksiVal' => $transaksiVal, 'transaksiRange' => $transaksiRange, 'produkLabel' => $produkLabel, 'produkData' => $produkData]);
})->name('dashboard');

Route::resource('produk', 'App\Http\Controllers\ProdukController')->middleware(['auth:sanctum', 'verified']);
Route::resource('customer', 'App\Http\Controllers\CustomerController')->middleware(['auth:sanctum', 'verified']);
Route::resource('transaksi', 'App\Http\Controllers\TransaksiController')->middleware(['auth:sanctum', 'verified']);
Route::post('transaksirinci/{request}/{idTransaksi}', 'App\Http\Controllers\RincianTransaksiController@store')->middleware(['auth:sanctum', 'verified'])->name('transaksirinci.store');
Route::get('transaksi/cetak-nota/{nomor}', 'App\Http\Controllers\TransaksiController@cetak')->middleware(['auth:sanctum', 'verified'])->name('transaksi.cetak');
Route::resource('laporan', 'App\Http\Controllers\LaporanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kabupaten', 'App\Http\Controllers\KabupatenController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kelurahan', 'App\Http\Controllers\KelurahanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('ongkir', 'App\Http\Controllers\OngkirController')->middleware(['auth:sanctum', 'verified']);
Route::resource('konfigurasi', 'App\Http\Controllers\KonfigurasiController')->middleware(['auth:sanctum', 'verified']);

// Sampah
Route::middleware(['auth:sanctum', 'verified'])->get('sampah', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->orderBy('deleted_at', 'desc')->get() : \App\Models\Customer::onlyTrashed()->orderBy('deleted_at', 'desc')->get();
    return view('sampah', ['data' => $data, 'jenis' => $_GET['jenis']]);
})->name('sampah');
Route::get('sampah/restore', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->where('id', $_GET['id'])->first() : \App\Models\Customer::onlyTrashed()->where('id', $_GET['id'])->first();
    $data->restore();
    return redirect()->route('sampah', ['jenis' => $_GET['jenis']])->with('success', ucfirst($_GET['jenis']).' '. $data->nama .' berhasil di kembalikan!');
})->name('restore.sampah')->middleware(['auth:sanctum', 'verified']);

app/Http/Controllers/LaporanController.php
<?php

namespace App\Http\Controllers;

use Auth;
use App\Exports\TransaksiBulananExport;
use App\Models\Transaksi;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;

class LaporanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function index()
    {
        $bulan = [
            [
                'nama' => 'Januari',
                'angka' => '01'
            ],
            [
                'nama' => 'Februari',
                'angka' => '02'
            ],
            [
                'nama' => 'Maret',
                'angka' => '03'
            ],
            [
                'nama' => 'April',
                'angka' => '04'
            ],
            [
                'nama' => 'Mei',
                'angka' => '05'
            ],
            [
                'nama' => 'Juni',
                'angka' => '06'
            ],
            [
                'nama' => 'Juli',
                'angka' => '07'
            ],
            [
                'nama' => 'Agustus',
                'angka' => '08'
            ],
            [
                'nama' => 'September',
                'angka' => '09'
            ],
            [
                'nama' => 'Oktober',
                'angka' => '10'
            ],
            [
                'nama' => 'November',
                'angka' => '11'
            ],
            [
                'nama' => 'Desember',
                'angka' => '12'
            ],
        ];

        $tahun = Transaksi::select('created_at')->orderBy('created_at', 'asc')->get()
                    ->groupBy(function($date) {
                        return \Carbon\Carbon::parse($date->created_at)->format('Y'); // grouping by years
                        // return \Carbon\Carbon::parse($date->created_at)->format('m'); // grouping by months
                    });
        return view('laporan.index', ['bulan' => $bulan, 'tahun' => $tahun]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        // penyalahan method
        // kujadikan route show view laporan
        if (isset($request->bulan)) {
            return view('laporan.LaporanRinci', ['data' => Transaksi::where('created_at', 'like', $request->tahun.'-'.$request->bulan.'-%')->orderBy('created_at', 'asc')->get(), 'laporan' => 'bulanan', 'bulan' => LaporanController::bulan($request->bulan), 'tahun' => $request->tahun, 'angkabulan' => $request->bulan]);
        }
        return view('laporan.LaporanRinci', ['data' => Transaksi::where('created_at', 'like', $request->tahun.'-%')->orderBy('created_at', 'asc')->get(), 'laporan' => 'tahunan', 'tahun' => $request->tahun]);
    }

    static function bulan($bulan)
    {
        switch ($bulan) {
            case '01':
                return 'Januari';
            case '02':
                return 'Februari';
            case '03':
                return 'Maret';
            case '04':
                return 'April';
            case '05':
                return 'Mei';
            case '06':
                return 'Juni';
            case '07':
                return 'Juli';
            case '08':
                return 'Agustus';
            case '09':
                return 'September';
            case '10':
                return 'Oktober';
            case '11':
                return 'November';
            case '12':
                return 'Desember';

            default:
                # code...
                break;
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Transaksi  $transaksi
     * @return \Illuminate\Http\Response
     */
    public function show(Transaksi $transaksi)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Transaksi  $transaksi
     * @return \Illuminate\Http\Response
     */
    public function edit(Transaksi $transaksi)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Transaksi  $transaksi
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $status)
    {
        if ($status === 'bulanan') {
            // return DB::select('select * from transaksi where created_at like \''.$request->tahun.'-'.$request->bulan.'%\'');
            // $a = new TransaksiBulananExport($request->bulan, $request->tahun);
            // return $a->collection();
            return Excel::download(new TransaksiBulananExport($request->bulan, $request->tahun), 'ReportBulanan-'.$request->tahun.'-'.$request->bulan.'-'.Auth::user()->name.'.xlsx');
        }
        else {
            // return DB::select('select * from transaksi where created_at like \''.$request->tahun.'%\'');
            return Excel::download(new TransaksiBulananExport($request->bulan, $request->tahun), 'ReportTahunan-'.$request->tahun.'-'.Auth::user()->name.'.xlsx');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Transaksi  $transaksi
     * @return \Illuminate\Http\Response
     */
    public function destroy(Transaksi $transaksi)
    {

    }
}

resources/views/laporan/LaporanRinci.blade.php
@if (isset($angkabulan))
    @section('title', 'Laporan Bulanan | Admin')
    @section('contentHeader', 'Laporan Bulanan - '.$bulan.' '.$tahun)
@else
    @section('title', 'Laporan Tahunan | Admin')
    @section('contentHeader', 'Laporan Tahunan - '.$tahun)
@endif

@extends('layouts.template')
@section('breadCrumb')
    <li class="breadcrumb-item active">Data Laporan</li>
@endsection

@section('content')
{{-- content --}}
    <div class="container-fluid bg-secondary rounded">
    <!-- Small boxes (Stat box) -->
      <div class="row pt-4">
          <div class="col-lg-6">
            <form action="{{ route('laporan.update', $laporan) }}" method="post">
                @csrf
                @method('PUT')
                @if (isset($angkabulan))
                    {!! Form::hidden('bulan', $angkabulan, null) !!}
                @endif
                {!! Form::hidden('tahun', $tahun, null) !!}

                <button type="submit" class="btn btn-md btn-success">
                    <i class="fa fas fa-file-export">Unduh</i>
                </button>
            </form>
          </div>
      </div>
      <div class="row mt-3 p-2">
        <div class="col-lg-12 p-4 bg-light rounded">
            <table id="tableData" class="table table-striped table-hover table-bordered dt-responsive nowrap" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Nomor Transaksi</th>
                        <th>Customer</th>
                        <th>Total</th>
                        <th>Admin</th>
                        <th>Tanggal</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($data as $index => $each)
                        <tr>
                            <td>{{ $index+1 }}</td>
                            <td>{{ $each->nomor }}</td>
                            <td>{{ isset($each->customer->nama) ? $each->customer->nama : $each->customer()->withTrashed()->first()->nama }}</td>
                            <td>Rp. {{ number_format($each->total, 0, ',', '.') }}</td>
                            <td>{{ $each->users->name }}</td>
                            <td>{{ date('d-m-Y', strtotime($each->created_at)) }}</td>
                            {{-- <td>
                                <a href="{{ route('customer.edit', $each->slug) }}" class="btn btn-sm btn-warning">
                                    <i class="fas fa-pen"></i>
                                </a>
                                <form action="{{ route('customer.destroy', $each->slug) }}" method="post" style="display:inline" onclick="return confirm('Dihapus?')">
                                    @csrf
                                    @method('DELETE')
                                    <button class="btn btn-sm btn-danger">
                                        <i class="fas fa-trash"></i>
                                    </button>
                                </form>
                            </td> --}}
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
      </div>
    </div><!-- /.container-fluid -->
{{-- endcontent --}}
@endsection

resources/views/laporan/cetakNota.blade.php
@php
    $total = 0;
    $tinggi = 0;
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Nota {{ $data['customer']->nama . " | " . $data['nomor'] }}</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    {{-- <script type="text/javascript" src="http://livejs.com/live.js"></script> --}}

    <style>
        .headerKiri {
            width: 70%;
        }

        .headerKanan {
            width: 30%;
        }
        .pt {
            /* padding-top: 50px; */
            background-color: black;
        }
        .row {
            border: 2px solid black;
        }
    </style>
</head>
<body style="">
    {{-- <div style=" position: absolute; min-height: 100% !important; height: 100%; width: 100%; background-repeat: repeat; background-image: url('{{ asset('public/img/kebutuhan/keropi.jpg') }}');"> --}}
    <div style="border-radius: 30px; background-repeat: repeat; background-image: url('{{ asset('public/img/kebutuhan/keropi.jpg') }}');">
    <div style="border: 5px solid black; padding: 30px -10px 30px 30px; border-radius: 30px; padding: 30px; background-color: rgba(0, 0, 0, 0.8); color: white;">
        <table style="width: 100%; opacity: 1;">
            <tbody>
                <tr>
                    <td class="headerKiri" colspan="4">@KFSKIN.SAMARINDA</td>
                    <td class="headerKanan" colspan="4">Samarinda, {{ date('j F Y', strtotime($data['created_at'])) }}</td>
                </tr>
                <tr>
                    <td class="headerKiri" colspan="4">{{ $data['users']->name }}</td>
                    <td class="headerKanan" colspan="4">Kepada, {{ $data['customer']->nama }}</td>
                </tr>
                <tr>
                    <td style="padding-bottom: 50px " class="headerKiri" colspan="4">Samarinda</td>
                    <td  style="padding-bottom: 50px " class="headerKanan" colspan="4">{{ $data['customer']->alamat }}</td>
                </tr>
                <tr>
                    <th class="pt" style="padding-left: 20px;">Qty</th>
                    <th class="pt" colspan="2">Nama Produk</th>
                    <th class="pt" colspan="2">Harga Satuan</th>
                    <th class="pt" colspan="2">Jumlah</th>
                </tr>
                @foreach ($data['rinci'] as $rinci)
                    @php
                        $total += $rinci->harga*$rinci->qty;
                        $tinggi += 3;
                    @endphp
                    <tr>
                        <td class="" style="padding-left: 25px;">{{ $rinci->qty }}</td>
                        <td class="" colspan="2">{{ $rinci->produk->nama }}</td>
                        <td class="" colspan="2">Rp. {{ $rinci->harga }}</td>
                        <td class="" colspan="2">Rp. {{ $rinci->harga*$rinci->qty }}</td>
                    </tr>
                @endforeach
                <tr class="">
                    <td colspan="5"></td>
                    <th style="padding-bottom: 10px;">
                        <img src="{{ asset('public/img/kebutuhan/tanda.png') }}" alt="" srcset="" width="130px">
                        {{-- <hr style="display: inline-block; background-color: white; height: 3px; width: 120px; margin: -10px 0 0 0;">
                        <span style="display: inline-block; font-size: 20pt;">&#43;</span> --}}
                        <span style="display: block;">Rp. {{ $total }}</span>
                    </th>
                </tr>
                <tr>
                    <td colspan="7" style="background-color: black; padding: 5px;">

                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td colspan="2">
                        <div style="border: 2px white solid; text-align: center; width: 75%; font-size: 10pt;">
                            Perhatian...!!! <br>
                            Barang yang sudah dibeli tidak dapat ditukar/
                            dikembalikan lagi kecuali ada perjanjian
                        </div>
                    </td>
                    <td colspan="2" style="text-align: center;">
                        <span>Hormat Kami,</span> <br>
                        <img src="{{ asset('public/img/kebutuhan/lunas.png') }}" alt="" style="width: 150px; z-index: 999; transform: rotate(-<?= rand(5,30) ?>deg);"> <br>
                        <span>{{ $data['users']->name }}</span>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    </div>
    {{-- <div class="container">
        <div class="row">
            <div class="col-md-8 text-sm">
                <div class="row">
                    <div class="col">KF Skin</div>
                </div>
                <div class="row">
                    <div class="col">{{ $data['users']->name }}</div>
                </div>
                <div class="row">
                    <div class="col">Samarinda</div>
                </div>
            </div>
            <div class="col-md-4 text-sm">
                <div class="row">
                    <div class="col">Samarinda, {{ date('j F Y', strtotime($data['created_at'])) }}</div>
                </div>
                <div class="row">
                    <div class="col">Kepada, {{ $data['customer']->nama }}</div>
                </div>
                <div class="row">
                    <div class="col">{{ $data['customer']->alamat }}</div>
                </div>
            </div>
        </div>

        <div class="row mt-4">
            <div class="col">
                <div class="row">
                    <div class="col-sm-2">Qty</div>
                    <div class="col-sm-6">Nama Produk</div>
                    <div class="col-sm-2">Harga Satuan</div>
                    <div class="col-sm-2">Jumlah</div>
                </div>
                @foreach ($data['rinci'] as $rinci)
                    @php
                        $total += $rinci->harga*$rinci->qty
                    @endphp
                    <div class="row text-sm">
                        <div class="col-sm-2">{{ $rinci->qty }}</div>
                        <div class="col-sm-6">{{ $rinci->produk->nama }}</div>
                        <div class="col-sm-2">Rp. {{ $rinci->harga }}</div>
                        <div class="col-sm-2">Rp. {{ $rinci->harga*$rinci->qty }}</div>
                    </div>
                @endforeach
                <div class="row">
                    <div class="col-sm-2"></div>
                    <div class="col-sm-6"></div>
                    <div class="col-sm-2"></div>
                    <div class="border-top" style="width: 100px; padding-left: 15px;">
                        <div class="row">
                            <div class="col text-sm">
                                <b>Rp. {{ $total }}</b>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> --}}
</body>
</html>

resources/views/laporan/create.blade.php
@extends('layouts.template')
@section('title', 'Tambah Transaksi | Admin')
@section('contentHeader', 'Tambah Transaksi')
@section('breadCrumb')
    <li class="breadcrumb-item"><a href="{{ route('transaksi.index') }}">Data Transaksi</a></li>
    <li class="breadcrumb-item active">Tambah Data</li>
@endsection

@section('content')
<!-- Main content -->
    <div class="container-fluid">
      <!-- Small boxes (Stat box) -->
      <div class="row">
        <div class="col-lg-12 bg-secondary rounded" style="padding: 20px 30px 20px 10px;">
            <div class="row">
                <div class="col-lg-6">
                    <div class="card-body">
                        {!! Form::open(['method' => 'POST', 'action' => 'App\Http\Controllers\TransaksiController@store']) !!}
                        @csrf
                        @include('transaksi.form')
                    </div>
                </div>
                <div class="col-lg-6 bg-light rounded pt-2 pl-3">
                    <table class="table table-sm">
                        {{-- <caption>List of users</caption> --}}
                        {{-- <thead>

                        </thead> --}}
                        <tbody>
                            <tr id='tr'></tr>
                            <tr>

                            </tr>
                        </tbody>
                      </table>
                </div>
            </div>
        </div>
      </div>
      <!-- /.row (main row) -->
    </div><!-- /.container-fluid -->
  <!-- /.content -->
@endsection

@section('script')
    <script>
        // $(document).ready(function() {
        //     $('#tambahData').click( function() {
        //         let table = document.getElementById('tr');
        //         let produk = document.getElementById('optProduk');
        //         let qty = document.getElementById('qty');
        //         let produkNama = "<td class='text text-muted text-sm'>"+ produk.options[produk.selectedIndex].text +"</td><td class='text text-sm text-bold'>x</td><td>"+ qty.value +"</td><td><button class='btn btn-sm btn-danger'><i class='fas fa-minus' onclick='rmElemen(elemen"+ produk.value +")'></i></button></td>";
        //         let produkValue = "<input id='elemen"+ produk.value +"' type=\"hidden\" name=\"produk[]\" value=\""+ produk.value +"\">";
        //         let qtyValue = "<input id='elemen"+ produk.value +"' type=\"hidden\" name=\"qty[]\" value=\""+ qty.value +"\">";
        //         $(table).before("<tr id='elemen"+ produk.value +"'>" + produkNama + "</tr>");
        //         $('#tambahData').before(produkValue);
        //         $('#tambahData').before(qtyValue);
        //         // i+=1;
        //     });
        // });
        $(document).ready(function() {
            $('#tambahData').click( function() {
                let rand = Math.random();
                let insert = '<div class="row" id="'+ rand +'">' +
                                '<div class="col-md-8">' +
                                    '<div class="form-group">' +
                                        // '<label for="produk">Produk:</label>' +
                                        '<select name="produk[]" id="optProduk" class="form-control">' +
                                            '@foreach ($produk as $each)' +
                                                '<option value="{{ $each->id }}">{{ $each->nama }}</option>' +
                                            '@endforeach' +
                                        '</select>' +
                                    '</div>' +
                                '</div>' +
                                '<div class="col-md-2">' +
                                    '<div class="form-group">' +
                                        // "{!! Form::label('qty', 'Qty: ') !!}" +
                                        '<input type="number" name="qty[]" class="form-control" required>' +
                                        // "{!! Form::number('qty[]', null, ['class' => 'form-control', 'required', 'id' => 'qty']) !!}" +
                                //         "@if ($errors->has('qty'))" +
                                //             "<span class=\"text-danger\">{{ $errors->first('qty') }}</span>" +
                                //         '@endif'+
                                    '</div>' +
                                '</div>' +
                                '<div class="col-md-2">' +
                                    "<a class='btn btn-md'><i style='border: solid 1px white; border-radius: 100%;' class='fas fa-minus-circle' onclick=\"rmElemen("+ rand +")\"></i></a>" +
                                '</div>' +

                            '</div>';

                $('.addElemen').before(insert);
            });
        });

        function rmElemen(a) {
            let b = document.getElementById(a);
            $(b).remove();
        }
    </script>
@endsection

resources/views/laporan/form.blade.php
@if ($_GET['laporan'] == 'bulanan')
    <div class="form-group">
        <label for="bulan">Bulan</label>
        <select name="bulan" id="" class="form-control">
            @foreach ($bulan as $each)
                <option value="{{ $each['angka'] }}">{{ $each['nama'] }}</option>
            @endforeach
        </select>
        @if ($errors->has('customer'))
            <span class="text-danger">{{ $errors->first('nama') }}</span>
        @endif
    </div>
@endif
<div class="form-group">
    <label for="tahun">Tahun</label>
    <select name="tahun" id="" class="form-control">
        @foreach ($tahun as $key => $each)
            <option value="{{ $key }}">{{ $key }}</option>
        @endforeach
    </select>
    @if ($errors->has('customer'))
        <span class="text-danger">{{ $errors->first('nama') }}</span>
    @endif
</div>
{!! Form::submit('Submit', ['class' => 'btn btn-md btn-success']) !!}
{!! Form::close() !!}

resources/views/laporan/index.blade.php
@extends('layouts.template')
@section('title', 'Laporan | Admin')
@if ($_GET['laporan'] == 'bulanan')
    @section('contentHeader', 'Laporan Bulanan')
@else
    @section('contentHeader', 'Laporan Tahunan')
@endif
@section('breadCrumb')
    <li class="breadcrumb-item active">Laporan</li>
@endsection

@section('content')
{{-- content --}}
<div class="container-fluid">
    <!-- Small boxes (Stat box) -->
    <div class="row">
      <div class="col-lg-12 bg-gray disabled rounded">
          <div class="card-body">
              {!! Form::open(['method' => 'POST', 'action' => 'App\Http\Controllers\LaporanController@store']) !!}
              @csrf
              @include('laporan.form')
          </div>
      </div>
    </div>
    <!-- /.row (main row) -->
  </div><!-- /.container-fluid -->
    {{-- endcontent --}}
@endsection